For AI agents: the complete documentation index is at https://buddy.works/llms.txt
GET
- /workspaces
- /:workspace
- /groups
Returns all groups in the workspace
REQUIRED SCOPESGROUP_READ
URL PARAMETERSworkspacerequiredstring
The human-readable ID of the workspace RESPONSE BODYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.works Last modified on Apr 22, 2026
curl -X GET "https://api.buddy.works/workspaces/:workspace/groups" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
{
"url": "https://api.buddy.works/workspaces/my-workspace/groups",
"html_url": "https://app.buddy.works/my-workspace/groups",
"groups": [
{
"url": "https://api.buddy.works/workspaces/my-workspace/groups/123",
"html_url": "https://app.buddy.works/my-workspace/-/group/123",
"id": 123,
"name": "developers"
},
{
"url": "https://api.buddy.works/workspaces/my-workspace/groups/124",
"html_url": "https://app.buddy.works/my-workspace/-/group/124",
"id": 124,
"name": "designers"
}
]
}
STATUS
200 OK